API ReferenceapiliveGET /v1/admin/sessions/{id}/registrations

GET /v1/admin/sessions/\{id\}/registrations

Service: live · operationId: (none)

List registrations for a session (admin)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Registrations

{
  "type": "object",
  "properties": {
    "registrations": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "session_id": {
            "type": "string",
            "format": "uuid"
          },
          "user_id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "registered_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "session_id",
          "user_id",
          "status",
          "registered_at"
        ]
      }
    },
    "total": {
      "type": "integer"
    }
  },
  "required": [
    "registrations",
    "total"
  ]
}

404 Session not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://live.platform.loop.health/v1/admin/sessions/{id}/registrations \
  -H "Authorization: Bearer $ACCESS_TOKEN"